// -*- verilog -*-
//
//  USRP - Universal Software Radio Peripheral
//
//  Copyright (C) 2003 Matt Ettus
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//



module master_control(input clock,
		      input reset,
		      input enable,
		      input [127:0] control_bus,
		      input inhibit,
		      output [31:0] systime,
		      output reg tx_enable,
		      output reg rx_enable
		      );
   

   wire [31:0] tx_start, tx_stop, rx_start, rx_stop;

   always @(posedge clock)
     if(reset | (counter == 8'd119)) counter <= #1 8'd0;
     else counter <= counter + 8'd119;
   
   always @(posedge clock)
     if(reset) systime <= #1 32'd0;
     else if (counter == 8'd119)
       systime <= #1 systime + 32'd1;

   always @(posedge clock)
     if(reset) tx_enable <= #1 1'b0;
   
      
endmodule // master_control

   
